Bug 1264164 - Review Request: python-rdoupdate - Manipulation and validation of YAML update files
Review Request: python-rdoupdate - Manipulation and validation of YAML update...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1246199
  Show dependency treegraph
 
Reported: 2015-09-17 13:00 EDT by Jakub Ruzicka
Modified: 2016-08-12 11:21 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-08-12 11:21:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jakub Ruzicka 2015-09-17 13:00:11 EDT
Spec URL: https://raw.githubusercontent.com/yac/rdoupdate/master/python-rdoupdate.spec
SRPM URL: http://jruzicka.fedorapeople.org/pkgs/python-rdoupdate-0.14-2.fc22.src.rpm
Description: rdoupdate is a simple utility module useful for updating software repositories using YAML update files optionally stored in a git repo.
Fedora Account System Username: jruzicka
Comment 1 William Moreno 2015-10-27 12:50:52 EDT
%%prep %%build and %%install run ok with the spec but the mock build fails in the %%files section due to:

cp: cannot stat 'LICENSE': No such file or directory

The Manifest file do not include the license file:
https://github.com/yac/rdoupdate/blob/master/MANIFEST.in

Request upstream to include the License text in the pypi tarball, or patch the license text in %%prep.

Upstream provides some test 
https://github.com/yac/rdoupdate/tree/master/tests

So you must run the test in %%chech after build  the package.

You can use these new macros to build python libs:

%build
%py2_build

%install
%py2_install

%check
%{__python2} setup.py test

Also you need to create a python2-%{name} subpackage and include a python provides macro:

%package -n python2-%{name}
Requires:       xxxxx
Recommends:     xxxxx
Summary:        xxxxxx
%{?python_provide:%python_provide python2-%{name}}

Be sure to remove bundled egg.info in prep:
%prep
%setup -q
rm -rf %{name}.egg.info
Comment 2 William Moreno 2015-10-27 12:53:07 EDT
Please check the current python spec template:

https://fedoraproject.org/wiki/Packaging:Python#Example_common_spec_file
Comment 3 Upstream Release Monitoring 2015-10-28 19:02:41 EDT
williamjmorenor's scratch build of python-rdoupdate-0.14-2.fc22.src.rpm for rawhide failed http://koji.fedoraproject.org/koji/taskinfo?taskID=11617947
Comment 4 Haïkel Guémar 2015-11-06 00:25:28 EST
* running tests is not possible as they require network access, so it's not a "must"

* fixing MANIFEST.in is indeed required

* drop the Group tag, it's unused.

* I suggest a small change in description tag
Manipulation and validation of RDO YAML update files

* Using new macros is recommended but not mandatory

For the record, Jakub is the upstream maintainer of rdoupdate.


About new python guidelines, I admit they are more consistent but renaming packages to python2-xxx is creating unnecessary issues. I would have preferred that we let the python prefix die with python2 support and keep versioned pythonX
for later major releases of Python. 
As this is not a general purpose module, it's only a dependency of rdopkg and used by a very limited set of people, I don't think it's worth enforcing this.
Comment 5 William Moreno 2015-11-26 18:29:20 EST
Did make any progress in this packaging? Provide a python2-name, python3-name and using the python-provides macros is mandatory in Fedora Python Packaging
Comment 6 Haïkel Guémar 2016-07-15 19:02:45 EDT
I think we should close this ticket as rdoupdate is deprecated.
Comment 7 Jakub Ruzicka 2016-08-12 11:21:07 EDT
rdoupdate is now deprecated.

Note You need to log in before you can comment on or make changes to this bug.